Subject: Re: Last Call: 'The IESG and RFC Editor documents: Procedures' to BCP

From: Pekka Savola <[email-masked]>
Date: Wed, 19 May 2004 15:12:35 +0300 (EEST)

On Fri, 7 May 2004, The IESG wrote:
> The IESG has received a request from the Internet Engineering Steering Group
> to consider the following document:
> 
> - 'The IESG and RFC Editor documents: Procedures '
>    <draft-iesg-rfced-documents-01.txt> as a BCP
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send any comments to the
> [email-masked] or [email-masked] mailing lists by 2004-06-04.
> 
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-iesg-rfced-documents-01.txt

A good document.  Go for it.  A few minor comments below.

The only thing I felt a bit fuzzy about was the statement:

                                The IETF disclaims any knowledge of the
       fitness of this RFC for any purpose, and in particular notes that
       it has not had IETF review for such things as security, 
       congestion control or inappropriate interaction with deployed   
       protocols.

==> now that we get down to talking about enumerating the important topics
that are being reviewed in the documents, should this list be expanded or
shrinked appropriately?  I'm fine with as it is, but I have a feeling that
those 3 items are not representative of the IETF review, and if we list
specific review subjects, the list should probably be longer..

editorial
---------

   This document gives the IESG's procedures for handling documents
   submitted for RFC publication via the RFC Editor, subsequent to the

==> s/gives/describes/

  RFC 3710 [3] section 5.2.2 describes the spring 2003 review process;

==> was that really spring 2003?  The RFC was published in 2004.

   The last two cases are included for the case where a document
   attempts to do things (such as URI scheme definition) that require  

==> s/URI scheme definition/to define a URI scheme/ ?

References

==> split these; 1-2 normative (or just 1), 3) to informational.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 19 May 2004 06:46:38 -0700

thanks for your comments, Pekka!

wrt review subjects - we went a few rounds on this, and the current list is 
probably a reasonable compromise between "no list" and "exhaustive list" - 
it's short enough to make people notice that "such as" probably covers a 
lot of stuff not mentioned. Good that you can live with this one!

> ==> was that really spring 2003?  The RFC was published in 2004.

:-(
even though it was informational only, it did take a year to get from the 
first draft to the published RFC.... and we chose not to make it claim to 
track changes to the process that occured over that time....

                        Harald

---

From: Fred Templin <[email-masked]>
Date: Thu, 20 May 2004 17:35:34 -0700

Hello Harald,

I had a question on this that may be somewhat related to Pekka's.
On the final page of the document, we find:

>Disclaimer of Validity
>
>   This document and the information contained herein are provided on an
>   "AS IS" basis and THE CONTRIBUTOR, THE ORGANIZATION HE/SHE REPRESENTS
>   OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY AND THE INTERNET
>   ENGINEERING TASK FORCE DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED,
>   INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE
>   INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED
>   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
>  
>

I have never seen such a statement appearing in an I-D before.
Is this a standard statement for such procedural documents?
And,  is the intention that it be removed (by the RFC editor,
I guess) before publishing as BCP?

Thanks - Fred
[email-masked]

---

From: Fred Templin <[email-masked]>
Date: Thu, 20 May 2004 17:35:34 -0700

Hello Harald,

Thanks - Fred
[email-masked]

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 20 May 2004 20:26:13 -0700

Hi -

> From: "Fred Templin" <[email-masked]>
> To: "Harald Tveit Alvestrand" <[email-masked]>
> Cc: "Pekka Savola" <[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>
> Sent: Thursday, May 20, 2004 5:35 PM
> Subject: Re: Last Call: 'The IESG and RFC Editor documents: Procedures' to BCP
...
> I guess) before publishing as BCP?
...

RFC 3667 clause 5.5 says it's required in all IETF documents.
None of the exceptions listed in clause 5.6 would appear to apply.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 20 May 2004 20:26:13 -0700

Hi -

...
...

Randy

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 20 May 2004 21:15:11 -0700

> I guess) before publishing as BCP?

Inserted by xml2rfc. See RFC 3667 section 5.5 - this notice should appear 
in all IETF documents.

                         Harald

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 20 May 2004 21:15:11 -0700

Harald

---

From: Fred Templin <[email-masked]>
Date: Fri, 21 May 2004 11:30:52 -0700

Thanks Harald, and also to the others who responded. It appears I
was mistaken in saying that I had never seen the statement beginning:

  "This document and the information contained herein...",

since the same text appears in some of my own documents. However,
I don't recall ever seeing it prefaced with a section heading such as:
"Disclaimer of Validity".

([RFC 3667], section 5.5) just says that the statement is: "(Normally
placed at the end of the IETF Document after the copyright notice.)",
i.e., it doesn't say anything about adding a "Disclaimer of Validity"
section heading.

I'm still a bit puzzled by what "Disclaimer of Validity" could mean,
.e.g., could it mean that everything that appears in the document
before it is "invalid"? Would appreciate clarification on this.

Thanks - Fred
[email-masked]

Harald Tveit Alvestrand wrote:

> Inserted by xml2rfc. See RFC 3667 section 5.5 - this notice should 
> appear in all IETF documents.
>
>                         Harald
>
>

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 21 May 2004 11:43:19 -0700

> before it is "invalid"? Would appreciate clarification on this.

I think it means that "ISOC and IETF make no promise of validity"....

---

From: Fred Templin <[email-masked]>
Date: Fri, 21 May 2004 11:30:52 -0700

Thanks - Fred
[email-masked]

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 21 May 2004 11:43:19 -0700

---

From: Fred Templin <[email-masked]>
Date: Fri, 21 May 2004 12:12:13 -0700

> I think it means that "ISOC and IETF make no promise of validity"....

Perhaps, but with no prior formalization (e.g., in RFC 3667)
it seems left rather open to the reader's interpretation.

One possible interpretation is that perhaps the author was
"only kidding" and the document should be taken with a
grain of salt. Could that be the case here?

Thanks - Fred
[email-masked]

---

From: Fred Templin <[email-masked]>
Date: Fri, 21 May 2004 12:12:13 -0700

Thanks - Fred
[email-masked]